[Story] Integrate violations into Wikidata UI
Closed, ResolvedPublic

Description

We want to keep the data quality high and expose more people (readers!) to issues so they can help fix them. In order to do that we need to expose the constraints violations and mismatches with 3rd party databases right next to the statement that is problematic.

In a first version we will do on-demand checking only. For this we need:

Related Objects

There are a very large number of changes, so older changes are hidden. Show Older Changes
Tamslo updated the task description. (Show Details)Apr 23 2015, 11:46 AM
Tamslo raised the priority of this task from to Needs Triage.
Tamslo added a project: Wikibase-Quality.
Tamslo moved this task to Backlog on the Wikibase-Quality board.
Tamslo added a subscriber: Tamslo.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 23 2015, 11:46 AM
Tamslo renamed this task from Integrate into Wikidata UI to Integrate violations into Wikidata UI.Apr 23 2015, 11:46 AM
Tamslo set Security to None.
Tamslo moved this task from Backlog to TODO on the Wikibase-Quality board.Apr 29 2015, 3:50 PM
Tamslo added a subscriber: dominic.sauer.
soeren.oldag reassigned this task from soeren.oldag to dominic.sauer.
soeren.oldag moved this task from TODO to DOING on the Wikibase-Quality board.
JanZerebecki moved this task from DOING to Backlog on the Wikibase-Quality board.Jun 18 2015, 12:36 PM
dominic.sauer moved this task from Backlog to DOING on the Wikibase-Quality board.Jun 18 2015, 2:04 PM
Jonas renamed this task from Integrate violations into Wikidata UI to [Story] Integrate violations into Wikidata UI.Aug 13 2015, 4:39 PM
Jonas updated the task description. (Show Details)
Jonas added a subscriber: Jonas.

Can you please insert existing mock-ups to the description?

Jonas updated the task description. (Show Details)Sep 26 2015, 6:40 PM
Lydia_Pintscher removed dominic.sauer as the assignee of this task.Nov 10 2015, 4:17 PM
Bene added a subscriber: Bene.Nov 23 2015, 8:33 PM
abian added a subscriber: abian.Oct 2 2016, 10:38 AM
Restricted Application added a project: Design. · View Herald TranscriptMar 28 2017, 9:17 AM
Jan_Dittrich added a comment.EditedMar 29 2017, 8:43 AM

Some remarks from a usability perspective:

  • We have few space (Which makes icons attractive)
  • …but no one understands Icons we think up ourselves
  • …in particular, simple traffic-light metaphors are to be avoided, since in their full-traffic-light they use up much space and in the just-colored-light they are not accessible to the colorblind population

One solution would be:

  • What is shown
    • There is one standardized set for icons, e.g. a warning sign (violation) and a stop sign (severe violation).
    • When there is no violation, nothing is shown, if there is one violation it’s grade of severity is shown in the icon
    • if there are multiple violations, the icon for the most severe is shown
    • We can show a number behind the icon indicating the number of violations
  • upon click on the icon, we show a list of violations (as the click on the mediawikis up-right area message tray shows a list of mentions)

Mock: 1) small version of indicator 2) larger version of indicator 3) expanded infos

We could offer an API for that, so that you can hook in your checks as well as your UI for them. The latter could be done declaratively (similar like declaring a UI in Jamovi, but it could be even much simpler)

Pintoch added a subscriber: Pintoch.

Change 348080 had a related patch set uploaded (by Lucas Werkmeister (WMDE)):
[mediawiki/extensions/WikibaseQualityConstraints@master] Add user script to include reports on item pages

https://gerrit.wikimedia.org/r/348080

Change 348080 adds a user script that shows a violation indicator, similar to Jan’s mockup. Here’s what it looks like:

(The particular constraints here are not very meaningful, just added for testing. Also, the extension currently doesn’t have different severities of violations, so there are no different icons we could show.)

Change 348080 merged by jenkins-bot:
[mediawiki/extensions/WikibaseQualityConstraints@master] Add user script to include reports on item pages

https://gerrit.wikimedia.org/r/348080

Sannita added a subscriber: Sannita.EditedApr 27 2017, 2:14 PM

I have added the js in my commons.js and started doing some tests. This happened to me: p569 (date of birth) and p570 (date of death) are perfectly ok, but for some reason the script notices me a violation (well, *two* in the case of p569). I've got also some malfunction with p27 (country of citizenship), if p569 and/or p570 are not there.

@Sannita: Thanks for your feedback!

The violation in P​569 is because of this constraint on P​569’s talk page:

Difference with “date of birth (P​569)” within range [30, 150]: the difference with property “date of birth (P​569)” should be in the range from “30” to “150”.

Read: a date of birth should be at least 30 years away from itself. In my opinion, that makes no sense, and I don’t know who added it… but the constraint is there, we imported it, and now the API reports violations for it on practically every human with a date of birth :/

However, the constraint on P​570 is more sensible (within 0-150 years of date of birth), so I don’t know why that would report a violation. Did you get violations for P​570 as well, or only for P​569?

And can you please elaborate on the malfunction with P​27?

@Sannita: Thanks for your feedback!

The violation in P​569 is because of this constraint on P​569’s talk page:

Difference with “date of birth (P​569)” within range [30, 150]: the difference with property “date of birth (P​569)” should be in the range from “30” to “150”.

Read: a date of birth should be at least 30 years away from itself. In my opinion, that makes no sense, and I don’t know who added it… but the constraint is there, we imported it, and now the API reports violations for it on practically every human with a date of birth :/

Got it. I already saw somebody contacted the user who added that restriction. The *very* strange thing is that I get the same violation twice - it's still the very same of the image I posted before.

However, the constraint on P​570 is more sensible (within 0-150 years of date of birth), so I don’t know why that would report a violation. Did you get violations for P​570 as well, or only for P​569?

I have a "Range ⧼wbqc-violation-message-range-parameters-needed⧽" violation on p570, but only once. It seems to be either a malfunction or we didn't still described that violation.

And can you please elaborate on the malfunction with P​27?

It disappeared since my last comment, so we can ignore it, I think.

> Read: a date of birth should be at least 30 years away from itself.

Actually, I think I misunderstood this constraint – there’s another parameter to the template that isn’t shown in the rendered constraint, but apparently the intended meaning is/was to constrain the age difference between doctoral student and doctoral advisor. But anyways, Ivan removed this constraint, so it should be gone on the next reload.

The *very* strange thing is that I get the same violation twice

The template was present twice (with different properties in the extra parameter), so we had the same constraint twice.

"Range ⧼wbqc-violation-message-range-parameters-needed⧽"

Okay, that’s two other problems (one that causes the violation to appear in the first place, and another that causes the untranslated message), but both are already known and should be fixed soon. Thanks.

waldyrious added a subscriber: waldyrious.
Charlie_WMDE moved this task from Incoming WD to Review on the WMDE-Design board.
Lydia_Pintscher closed this task as Resolved.Jul 5 2017, 9:52 AM
Lydia_Pintscher claimed this task.